# Command: get_d

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    get_d - look a name up in a dictionary

Synopsis:

    dict /key get_d -> any

Examples:

      systemdict /PI get_d -> 3.1415...
      <> /a get -> 1

Description:

      get_d tries to find /key in the supplied dictionary. If it
      is present, the associated value is returned. If /key is
      not in the dictionary, an UndefinedNameError is raised

Parameters:

      dict	- a dictionary
      /key	- a literal name

Diagnostics:

      UndefinedNameError

Author:

      Marc-Oliver Gewaltig

SeeAlso:

- put_d
- lookup
- known

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slidict.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative